Generate backup codes

Generates a set of backup codes for a User with MFA enabled. Returns an error if backup codes already exist.

GET
/identity/v2/auth/account/2fa/backupcode

Generates a set of backup codes for a User with MFA enabled. Returns an error if backup codes already exist.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token?string

Access Token of the User

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/account/2fa/backupcode?access_token=493318dd-487a-439b-8302-5e27f1110244"
{
  "BackUpCodes": [
    "ABC123DEF",
    "XYZ789GHI",
    "JKL456MNO",
    "PQR987STU",
    "VWX654YZA"
  ]
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}